Namespace
library
Image / Tag
consul:1.9.13
Content Digest
sha256:c67fdfcad1eef24624797dda062905f548f63428d72db900bb20f1c00558bebe
Details
Created

2021-12-16 01:39:20 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.13

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 7.16% (2.7 MB)

[#001] sha256:996069998839bbbb7f670f2cf968840d4241da37e20b5c5986ba6da20e290370 - 0.0% (1.23 KB)

[#002] sha256:f1f40daf7d18fa1cc3a140d5a5643e2b00c5d96a3e6f9355417f4b4dbd5934d5 - 92.83% (35 MB)

[#003] sha256:bb57221f5d95114905ea60883b402d715294799788865b47e2ff96d71f4c1a27 - 0.0% (174 Bytes)

[#004] sha256:54dc5ac072b154991a95a5a907d871e5be550c3bca4b7a4e9b79493bc2d3e43e - 0.0% (154 Bytes)

[#005] sha256:deaaf8d448958d5b7ab63fd0b61747d855b21af74ae765db36ea52a15c8e4ba9 - 0.0% (1.75 KB)


History
2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /

2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:39:05 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.13

2021-12-16 01:39:05 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.13 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:39:05 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:39:06 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:39:16 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:39:18 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:39:19 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:39:19 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:39:19 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:39:19 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:39:20 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:39:20 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:39:20 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:39:20 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:20:13 UTC

Size

38.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.13

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 7.03% (2.69 MB)

[#001] sha256:b855cf6f036b57c390f91d06bd1df372ba3a92fd5658d40d34cde2d8f3c39330 - 0.0% (1.23 KB)

[#002] sha256:e609a3742737a939f71698688a1089b7b4f19b6b91467b38971f4b1757faabf0 - 92.97% (35.6 MB)

[#003] sha256:616194c5f9e3385af180963432957a2794db920565d29635d5a4826dcf066b07 - 0.0% (173 Bytes)

[#004] sha256:aeeed422939899a3733f36659833e4f0cfb324f4d5ae138a01ab12502b38f817 - 0.0% (153 Bytes)

[#005] sha256:c8eaed7613bca667a9dee514ba1823f55b46629d39369b431f5b97709606c027 - 0.0% (1.74 KB)


History
2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /

2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:20:00 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.13

2021-12-16 01:20:00 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.13 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:20:00 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:20:01 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:20:10 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:20:11 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:20:11 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:20:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:20:12 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:20:12 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:20:12 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:20:12 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:20:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:20:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:51:04 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.13

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.89% (2.51 MB)

[#001] sha256:0173a303c3e408e99269c7dd6a9dd0c891ed64e98b2659fac91a4acc6da14deb - 0.0% (1.23 KB)

[#002] sha256:409600fa920de2201a72767fd324ae07b4454f5ece91c2a3547c1eb189859206 - 93.1% (33.9 MB)

[#003] sha256:a80ce095113681b1778b0697464d16c8778417589050530085b232af1f93a341 - 0.0% (174 Bytes)

[#004] sha256:47d7c547c4fdb16acf270bcaf3a5aa6fcf2eb3d4b10d96349d60b2fcab44147f - 0.0% (155 Bytes)

[#005] sha256:244dbe40c5700f4804562ff72698ee40d98243d4b7a7bb9ae39f0a62ab981540 - 0.0% (1.75 KB)


History
2021-11-12 16:49:57 UTC

/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /

2021-11-12 16:49:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:50:43 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.13

2021-12-16 01:50:43 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.13 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:50:44 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:50:45 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:50:57 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:50:59 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:51:01 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:51:01 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:51:01 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:51:02 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:51:02 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:51:03 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:51:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:51:04 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:40:37 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.13

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 7.13% (2.59 MB)

[#001] sha256:56fd9f87b3aad0f1b4531aae14f4f33623bf70d90782fae693ea1bccfcfc94bd - 0.0% (1.2 KB)

[#002] sha256:748a6c72684fb8ac67932c933ccbc78443eeae1e16ed9eae6f1176859908f156 - 92.87% (33.8 MB)

[#003] sha256:a11e89d5a9d5a25909953c40b8cef2d42e23b9b525da432213bd54672352e1cf - 0.0% (141 Bytes)

[#004] sha256:9977f897f9b5ec538c01813af3b464d9cb2a20a9a2d340a1fed85b9b2eb70235 - 0.0% (153 Bytes)

[#005] sha256:55d10ff7c56dfa49ee15844b98cc1840cb4fb410960339d22c293a41d6abf857 - 0.0% (1.74 KB)


History
2021-11-12 16:40:05 UTC

/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /

2021-11-12 16:40:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:40:19 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.13

2021-12-16 01:40:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.13 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:40:21 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:40:22 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:40:28 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:40:29 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:40:30 UTC

|1 CONSUL_VERSION=1.9.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:40:31 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:40:32 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:40:33 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:40:34 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:40:36 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:40:36 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:40:37 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]